#ifndef __KCM_THINKERAMIK_H
#define __KCM_THINKERAMIK_H

#include <kcmodule.h>
#include <kstddirs.h>
#include <kcolorbutton.h>
#include <qpushbutton.h>
#include <qlineedit.h>

class QSlider;
class KColorButton;
class QGroupBox;
class QVButtonGroup;
class QRadioButton;
class QCheckBox;
class QLabel;

#define THINKERAMIK_MENU_CHANGE 667

class ThinKeramikConfig : public KCModule
{
    Q_OBJECT
public:
    enum Buttons{None=0, StippledBg, StippledBtn, TransStippleBg,
        TransStippleBtn, Custom};
    ThinKeramikConfig(QWidget *parent=0, const char *name=0);
    ~ThinKeramikConfig();
    void save();
    void load();
    void defaults();
protected slots:
    void slotUseCustomColor1Clicked(bool on);
    void slotUseCustomColor1bClicked(bool on);
    void slotUseMenuBGIClicked(bool on);
    void slotMenuBGIBrowser();
    void slotEnable3DMIBtnClicked(bool on);
    void slotEnable3DMSBtnClicked(bool on);
    void slotEnableGradClicked(bool on);
    void slotUseCustomColor2Clicked(bool on);
    void slotDisableUpperLinesClicked(bool on);
    void slotUseCustomColor3Clicked(bool on);
    void slotUseCustomColor4Clicked(bool on);
    void slotBtnColorChanged(const QColor &c);
    void slotCheckBtnClicked(bool on);
    void slotTextChanged(const QString &s);
protected:

    QCheckBox *useCustomColorBtn1;
    QCheckBox *useCustomColorBtn1b;
    QCheckBox *useMenuBGI;
    QCheckBox *useCustomColorBtn2;
    QCheckBox *disableUpperLinesBtn;
    QCheckBox *useCustomColorBtn3;
    QCheckBox *useCustomColorBtn4;
    QCheckBox *enableGradBtn;
    QCheckBox *customGradBtn;
    QCheckBox *strong3dmi, *strong3dms, *enableMI3d, *enableMS3d;
    QCheckBox *useShdM, *useShdMB, *useShdB, *useShdT;
    QCheckBox *useSlk, *useFlb;
    KColorButton *menuFgBtn, *menuBgBtn, *menuStripeBtn;
    QLineEdit *menubgfile;
    QPushButton *menubgBrowse;
    KColorButton *borderColBtn;
    KColorButton *activeTabBtn;
    KColorButton *scrollbarBtn, *scrollArbBtn;
    KColorButton *btnprlBtn;
};




#endif


